﻿@import url("../lib/bootstrap-icons/font/bootstrap-icons.min.css");
html, body {
  font-family: var(--font-family);
}

h1 {
  font-family: var(--header-font);
}

h1:focus {
  outline: none;
}

a, .btn-link {
  color: #0071c1;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.content {
  padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
  outline: 1px solid #26b050;
}

.invalid {
  outline: 1px solid red;
}

.midnight-blue-text {
  color: #001f3b;
}

.validation-message {
  color: #b10707;
  font-weight: 400;
  font-size: large;
}

.banner {
  color: var(--navigation-text);
  background-color: var(--banner-background-colour);
  justify-content: flex-end;
  height: 3.3rem;
  display: flex;
  align-items: center;
}

.benefact-banner__inner,
.benefact-banner__inner .container {
  margin: 0 auto;
}

.benefact-banner__logo {
  min-width: 230px;
}

.benefact-logo g path,
.benefact-logo g rect {
  fill: #000;
}

.logo {
  min-width: var(--logo-min-width);
  max-width: var(--logo-max-width);
  vertical-align: -webkit-baseline-middle;
}

.back-to-overview {
  border: none;
  background-color: white;
  font-size: 21px;
  font-weight: bold;
  color: var(--section-background-colour);
}
.back-to-overview:hover {
  text-decoration: underline;
}

.btn-underline-hover:hover {
  text-decoration: underline;
}

.navigation {
  font-size: 14px;
  padding-top: var(--navigation-padding);
  transition: none;
  padding-right: 1px;
}
@media only screen and (min-width: 768px) {
  .navigation .login-button {
    background-color: var(--logon-background);
    border-radius: 20px;
    color: white;
  }
  .navigation .login-button:visited {
    color: white;
  }
  .navigation .login-button:link {
    color: white;
  }
  .navigation .login-button:active {
    color: white;
  }
}
.navigation ul {
  list-style-type: none;
  overflow: auto;
  margin: 0;
  padding: 0;
  float: right;
}
.navigation li {
  float: left;
  display: inline;
}
.navigation li a {
  color: var(--navigation-text);
  text-decoration: none;
  margin-left: 1rem;
}
.navigation li a:link {
  color: var(--navigation-text);
  text-decoration: none;
}
.navigation li a:active {
  color: var(--navigation-text);
  text-decoration: none;
}
.navigation li a:hover {
  text-decoration: none;
}
@media only screen and (min-width: 768px) {
  .navigation li a:hover {
    text-decoration: underline !important;
    color: var(--navigation-text);
  }
}
.navigation li a:visited {
  color: var(--navigation-text);
  text-decoration: none;
}

.footer {
  margin-top: 80px;
  color: var(--footer-font-colour);
}
.footer .navigation a {
  color: var(--footer-font-colour);
}
.footer .navigation a:visited {
  color: var(--submit-text-colour);
}
.footer .navigation a:link {
  color: var(--submit-text-colour);
}
.footer .navigation a:active {
  color: var(--submit-text-colour);
}

.top-row {
  color: var(--navigation-text);
  background-color: var(--navigation-background-colour);
  justify-content: flex-end;
  height: var(--banner-hight);
  display: flex;
  align-items: center;
  border-bottom: var(--top-row-border);
  border-bottom-width: thin;
  border-bottom-color: var(--banner-background-colour);
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

#blazor-error-ui .dismiss {
  cursor: pointer;
  position: absolute;
  right: 0.75rem;
  top: 0.5rem;
}

.blazor-error-boundary {
  background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
  padding: 1rem 1rem 1rem 3.7rem;
  color: white;
}

.blazor-error-boundary::after {
  content: "An error has occurred.";
}

.switch {
  position: absolute;
  bottom: 0px;
  right: 0px;
  border-radius: 40px;
  font-size: 12px;
  margin: 8px;
}

@media (max-width: 540px) {
  .nav-link {
    display: block;
    padding: 0.5rem 0.1rem;
  }
  .navigation li a {
    margin-left: 0.5rem;
  }
}
.hidden {
  visibility: hidden;
}
